## mirror

mirror — Split the image into two halves and reflect one over each other

## Synopsis

    struct              GstMirror;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBaseTransform
                               +----GstVideoFilter
                                     +----GstGeometricTransform
                                           +----GstMirror

## Properties

      "mode"                     GstMirrorMode         : Read / Write

## Description

## Synopsis

### Element Information

plugin | geometrictransform
author | Filippo Argiolas <filippo.argiolas@gmail.com>
class | Transform/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ ARGB, BGR, BGRA, BGRx, RGB, RGBA, RGBx, AYUV, xBGR, xRGB, GRAY8, GRAY16_BE, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ ARGB, BGR, BGRA, BGRx, RGB, RGBA, RGBx, AYUV, xBGR, xRGB, GRAY8, GRAY16_BE, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Details

### struct GstMirror

    struct GstMirror;

## Property Details

### The `"mode"` property

      "mode"                     GstMirrorMode         : Read / Write

How to split the video frame and which side reflect.

Default value: Split horizontally and reflect left into right